/*
 *         COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL) Notice
 *
 * The contents of this file are subject to the COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.opensource.org/licenses/cddl1.txt
 *
 * The Original Code is Drombler.org. The Initial Developer of the
 * Original Code is Florian Brunner (Sourceforge.net user: puce).
 * Copyright 2012 Drombler.org. All Rights Reserved.
 *
 * Contributor(s): .
 */
package org.drombler.acp.core.docking.spi;

import org.drombler.acp.core.docking.jaxb.LayoutConstraintsType;

/**
 *
 * @author puce
 */
public class LayoutConstraintsDescriptor {

    private double prefWidth;
    private double prefHeight;

    public static LayoutConstraintsDescriptor createLayoutConstraintsDescriptor(LayoutConstraintsType layoutConstraints) {
        LayoutConstraintsDescriptor layoutConstraintsDescriptor = new LayoutConstraintsDescriptor();
        layoutConstraintsDescriptor.setPrefWidth(layoutConstraints.getPrefWidth());
        layoutConstraintsDescriptor.setPrefHeight(layoutConstraints.getPrefHeight());
        return layoutConstraintsDescriptor;
    }

    /**
     * @return the prefWidth
     */
    public double getPrefWidth() {
        return prefWidth;
    }

    /**
     * @param prefWidth the prefWidth to set
     */
    public void setPrefWidth(double prefWidth) {
        this.prefWidth = prefWidth;
    }

    /**
     * @return the prefHeight
     */
    public double getPrefHeight() {
        return prefHeight;
    }

    /**
     * @param prefHeight the prefHeight to set
     */
    public void setPrefHeight(double prefHeight) {
        this.prefHeight = prefHeight;
    }
}
